import AutocompleteStop from "./AutocompleteStop"
import {useNavigate} from "react-router-dom"

function Home() {
  const navigate = useNavigate()

  function onStationSelected(event, stop) {
    navigate(`/station/${stop.id}/`)
  }

  return <>
    <h1>Horaires SNCF</h1>
    <h2>
      Choisissez une gare dont vous désirez connaître le tableau des prochains départs et arrivées :
    </h2>
    <AutocompleteStop onChange={onStationSelected} />
  </>
}

export default Home;